$(() => {
const draggingGroupName = 'appointmentsGroup';
const createItemElement = function (data) {
$('<div>')
.text(data.text)
.addClass('item dx-card dx-theme-background-color dx-theme-text-color')
.appendTo('#list')
.dxDraggable({
group: draggingGroupName,
data,
clone: true,
onDragEnd(e) {
if (e.toData) {
e.cancel = true;
}
},
onDragStart(e) {
e.itemData = e.fromData;
},
});
};
$('#scroll').dxScrollView({});
$('#list').dxDraggable({
data: 'dropArea',
group: draggingGroupName,
onDragStart(e) {
e.cancel = true;
},
});
tasks.forEach((task) => {
createItemElement(task);
});
$('#scheduler').dxScheduler({
timeZone: 'America/Los_Angeles',
dataSource: appointments,
views: [{
type: 'day',
intervalCount: 3,
}],
currentDate: new Date(2021, 3, 26),
startDayHour: 9,
height: 600,
editing: true,
appointmentDragging: {
group: draggingGroupName,
onRemove(e) {
e.component.deleteAppointment(e.itemData);
createItemElement(e.itemData);
},
onAdd(e) {
e.component.addAppointment(e.itemData);
e.itemElement.remove();
},
},
});
});
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script>window.jQuery || document.write(decodeURIComponent('%3Cscript src="js/jquery.min.js"%3E%3C/script%3E'))</script>
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/22.2.6/css/dx.light.css" />
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="https://cdn3.devexpress.com/jslib/22.2.6/js/dx.all.js"></script>
<script src="data.js"></script>
<script src="index.js"></script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="scroll">
<div id="list"></div>
</div>
<div id="scheduler"></div>
</div>
</body>
</html>
#scroll,
#list {
position: absolute;
left: 0;
top: 0;
bottom: 0;
width: 240px;
}
.item {
box-sizing: border-box;
padding: 10px 20px;
margin-bottom: 10px;
}
#scheduler {
margin-left: 270px;
}
.dx-draggable-source {
opacity: 0.5;
}
.dx-draggable-dragging > * {
box-shadow: 0 1px 3px rgba(0, 0, 0, 0.1), 0 6px 8px rgba(0, 0, 0, 0.2);
}
const tasks = [
{
text: 'New Brochures',
}, {
text: 'Brochure Design Review',
}, {
text: 'Upgrade Personal Computers',
}, {
text: 'Install New Router in Dev Room',
}, {
text: 'Upgrade Server Hardware',
}, {
text: 'Install New Database',
}, {
text: 'Website Re-Design Plan',
}, {
text: 'Create Icons for Website',
}, {
text: 'Submit New Website Design',
}, {
text: 'Launch New Website',
},
];
const appointments = [{
text: 'Book Flights to San Fran for Sales Trip',
startDate: new Date('2021-04-26T19:00:00.000Z'),
endDate: new Date('2021-04-26T20:00:00.000Z'),
allDay: true,
}, {
text: 'Approve Personal Computer Upgrade Plan',
startDate: new Date('2021-04-27T17:00:00.000Z'),
endDate: new Date('2021-04-27T18:00:00.000Z'),
}, {
text: 'Final Budget Review',
startDate: new Date('2021-04-27T19:00:00.000Z'),
endDate: new Date('2021-04-27T20:35:00.000Z'),
}, {
text: 'Approve New Online Marketing Strategy',
startDate: new Date('2021-04-28T19:00:00.000Z'),
endDate: new Date('2021-04-28T21:00:00.000Z'),
}, {
text: 'Customer Workshop',
startDate: new Date('2021-04-29T18:00:00.000Z'),
endDate: new Date('2021-04-29T19:00:00.000Z'),
allDay: true,
}, {
text: 'Prepare 2021 Marketing Plan',
startDate: new Date('2021-04-29T18:00:00.000Z'),
endDate: new Date('2021-04-29T20:30:00.000Z'),
},
];

import React from 'react';
import Scheduler, { AppointmentDragging } from 'devextreme-react/scheduler';
import Draggable from 'devextreme-react/draggable';
import ScrollView from 'devextreme-react/scroll-view';
import { appointments, tasks } from './data.js';
const currentDate = new Date(2021, 3, 26);
const views = [{ type: 'day', intervalCount: 3 }];
const draggingGroupName = 'appointmentsGroup';
class App extends React.Component {
constructor(props) {
super(props);
this.state = {
tasks,
appointments,
};
this.onAppointmentRemove = this.onAppointmentRemove.bind(this);
this.onAppointmentAdd = this.onAppointmentAdd.bind(this);
}
render() {
return (
<React.Fragment>
<ScrollView id="scroll">
<Draggable
id="list"
data="dropArea"
group={draggingGroupName}
onDragStart={this.onListDragStart}>
{this.state.tasks.map((task) => <Draggable
key={task.text}
className="item dx-card dx-theme-text-color dx-theme-background-color"
clone={true}
group={draggingGroupName}
data={task}
onDragStart={this.onItemDragStart}
onDragEnd={this.onItemDragEnd}>
{task.text}
</Draggable>)}
</Draggable>
</ScrollView>
<Scheduler
timeZone="America/Los_Angeles"
id="scheduler"
dataSource={this.state.appointments}
views={views}
defaultCurrentDate={currentDate}
height={600}
startDayHour={9}
editing={true}>
<AppointmentDragging
group={draggingGroupName}
onRemove={this.onAppointmentRemove}
onAdd={this.onAppointmentAdd}
/>
</Scheduler>
</React.Fragment>
);
}
onAppointmentRemove(e) {
const index = this.state.appointments.indexOf(e.itemData);
if (index >= 0) {
this.state.appointments.splice(index, 1);
this.state.tasks.push(e.itemData);
this.setState({
tasks: [...this.state.tasks],
appointments: [...this.state.appointments],
});
}
}
onAppointmentAdd(e) {
const index = this.state.tasks.indexOf(e.fromData);
if (index >= 0) {
this.state.tasks.splice(index, 1);
this.state.appointments.push(e.itemData);
this.setState({
tasks: [...this.state.tasks],
appointments: [...this.state.appointments],
});
}
}
onListDragStart(e) {
e.cancel = true;
}
onItemDragStart(e) {
e.itemData = e.fromData;
}
onItemDragEnd(e) {
if (e.toData) {
e.cancel = true;
}
}
}
export default App;
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.js';
ReactDOM.render(
<App />,
document.getElementById('app'),
);
<!DOCTYPE html>
<html>
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/23.1.5/css/dx.light.css" />
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="https://unpkg.com/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.js");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"></div>
</div>
</body>
</html>
#scroll,
#list {
position: absolute;
left: 0;
top: 0;
bottom: 0;
width: 240px;
}
.item {
box-sizing: border-box;
padding: 10px 20px;
margin-bottom: 10px;
}
#scheduler {
margin-left: 270px;
}
.dx-draggable-source {
opacity: 0.5;
}
.dx-draggable-dragging > * {
box-shadow: 0 1px 3px rgba(0, 0, 0, 0.1), 0 6px 8px rgba(0, 0, 0, 0.2);
}
export const tasks = [
{
text: 'New Brochures',
}, {
text: 'Brochure Design Review',
}, {
text: 'Upgrade Personal Computers',
}, {
text: 'Install New Router in Dev Room',
}, {
text: 'Upgrade Server Hardware',
}, {
text: 'Install New Database',
}, {
text: 'Website Re-Design Plan',
}, {
text: 'Create Icons for Website',
}, {
text: 'Submit New Website Design',
}, {
text: 'Launch New Website',
},
];
export const appointments = [
{
text: 'Book Flights to San Fran for Sales Trip',
startDate: new Date('2021-04-26T19:00:00.000Z'),
endDate: new Date('2021-04-26T20:00:00.000Z'),
allDay: true,
}, {
text: 'Approve Personal Computer Upgrade Plan',
startDate: new Date('2021-04-27T17:00:00.000Z'),
endDate: new Date('2021-04-27T18:00:00.000Z'),
}, {
text: 'Final Budget Review',
startDate: new Date('2021-04-27T19:00:00.000Z'),
endDate: new Date('2021-04-27T20:35:00.000Z'),
}, {
text: 'Approve New Online Marketing Strategy',
startDate: new Date('2021-04-28T19:00:00.000Z'),
endDate: new Date('2021-04-28T21:00:00.000Z'),
}, {
text: 'Customer Workshop',
startDate: new Date('2021-04-29T18:00:00.000Z'),
endDate: new Date('2021-04-29T19:00:00.000Z'),
allDay: true,
}, {
text: 'Prepare 2021 Marketing Plan',
startDate: new Date('2021-04-29T18:00:00.000Z'),
endDate: new Date('2021-04-29T20:30:00.000Z'),
},
];
window.config = {
transpiler: 'plugin-babel',
meta: {
'devextreme/localization.js': {
'esModule': true,
},
},
paths: {
'npm:': 'https://unpkg.com/',
},
defaultExtension: 'js',
map: {
'react': 'npm:react@17.0.2/umd/react.development.js',
'react-dom': 'npm:react-dom@17.0.2/umd/react-dom.development.js',
'prop-types': 'npm:prop-types@15.8.1/prop-types.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.28.1/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@23.1.5/cjs',
'devextreme-react': 'npm:devextreme-react@23.1.5',
'jszip': 'npm:jszip@3.7.1/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@1.6.2/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.1/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.48/dist/dx-gantt.js',
'@devextreme/runtime': 'npm:@devextreme/runtime@3.0.11',
'inferno': 'npm:inferno@7.4.11/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
// SystemJS plugins
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.4/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.4/parser-html.js',
},
packages: {
'devextreme': {
defaultExtension: 'js',
},
'devextreme-react': {
main: 'index.js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:@devextreme/runtime@3.0.11/inferno/package.json',
],
babelOptions: {
sourceMaps: false,
stage0: true,
react: true,
},
};
System.config(window.config);

<dx-scroll-view id="scroll">
<dx-draggable
id="list"
data="dropArea"
[group]="draggingGroupName"
(onDragStart)="onListDragStart($event)">
<dx-draggable
class="item dx-card dx-theme-text-color dx-theme-background-color"
[clone]="true"
[group]="draggingGroupName"
[data]="task"
(onDragStart)="onItemDragStart($event)"
(onDragEnd)="onItemDragEnd($event)"
*ngFor="let task of tasks">
{{task.text}}
</dx-draggable>
</dx-draggable>
</dx-scroll-view>
<dx-scheduler
timeZone="America/Los_Angeles"
id="scheduler"
[dataSource]="appointments"
[currentDate]="currentDate"
[startDayHour]="9"
[height]="600"
[editing]="true">
<dxi-view
type="day"
[intervalCount]="3">
</dxi-view>
<dxo-appointment-dragging
[group]="draggingGroupName"
[onRemove]="onAppointmentRemove"
[onAdd]="onAppointmentAdd">
</dxo-appointment-dragging>
</dx-scheduler>
import { NgModule, Component, enableProdMode } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { Appointment, Task, Service } from './app.service';
import { DxSchedulerModule, DxDraggableModule, DxScrollViewModule } from 'devextreme-angular';
if (!/localhost/.test(document.location.host)) {
enableProdMode();
}
@Component({
selector: 'demo-app',
templateUrl: 'app/app.component.html',
styleUrls: ['app/app.component.css'],
providers: [Service]
})
export class AppComponent {
draggingGroupName: string = "appointmentsGroup";
tasks: Task[];
appointments: Appointment[];
currentDate: Date = new Date(2021, 4, 24);
constructor(service: Service) {
this.tasks = service.getTasks();
this.appointments = service.getAppointments();
this.onAppointmentRemove = this.onAppointmentRemove.bind(this);
this.onAppointmentAdd = this.onAppointmentAdd.bind(this);
}
onAppointmentRemove(e) {
const index = this.appointments.indexOf(e.itemData);
if (index >= 0) {
this.appointments.splice(index, 1);
this.tasks.push(e.itemData);
}
}
onAppointmentAdd(e) {
const index = this.tasks.indexOf(e.fromData);
if (index >= 0) {
this.tasks.splice(index, 1);
this.appointments.push(e.itemData);
}
}
onListDragStart(e) {
e.cancel = true;
}
onItemDragStart(e) {
e.itemData = e.fromData;
}
onItemDragEnd(e) {
if (e.toData) {
e.cancel = true;
}
}
}
@NgModule({
imports: [
BrowserModule,
DxSchedulerModule,
DxDraggableModule,
DxScrollViewModule
],
declarations: [AppComponent],
bootstrap: [AppComponent]
})
export class AppModule { }
platformBrowserDynamic().bootstrapModule(AppModule)
#scroll, #list {
position: absolute;
left: 0;
top: 0;
bottom: 0;
width: 240px;
}
.item {
display: block;
box-sizing: border-box;
padding: 10px 20px;
margin-bottom: 10px;
}
#scheduler {
margin-left: 270px;
}
.dx-draggable-source {
opacity: 0.5;
}
.dx-draggable-dragging > * {
box-shadow: 0 1px 3px rgba(0, 0, 0, 0.1), 0 6px 8px rgba(0, 0, 0, 0.2);
}
import { Injectable } from "@angular/core";
export class Appointment {
text: string;
startDate: Date;
endDate: Date;
allDay?: boolean;
}
export class Task {
text: string;
}
let appointments: Appointment[] = [
{
text: "Book Flights to San Fran for Sales Trip",
startDate: new Date("2021-05-24T19:00:00.000Z"),
endDate: new Date("2021-05-24T20:00:00.000Z"),
allDay: true
}, {
text: "Approve Personal Computer Upgrade Plan",
startDate: new Date("2021-05-25T17:00:00.000Z"),
endDate: new Date("2021-05-25T18:00:00.000Z")
}, {
text: "Final Budget Review",
startDate: new Date("2021-05-25T19:00:00.000Z"),
endDate: new Date("2021-05-25T20:35:00.000Z")
}, {
text: "Approve New Online Marketing Strategy",
startDate: new Date("2021-05-26T19:00:00.000Z"),
endDate: new Date("2021-05-26T21:00:00.000Z")
}, {
text: "Customer Workshop",
startDate: new Date("2021-05-27T18:00:00.000Z"),
endDate: new Date("2021-05-27T19:00:00.000Z"),
allDay: true
}, {
text: "Prepare 2021 Marketing Plan",
startDate: new Date("2021-05-27T18:00:00.000Z"),
endDate: new Date("2021-05-27T20:30:00.000Z")
}
];
let tasks: Task[] = [
{
text: "New Brochures"
}, {
text: "Brochure Design Review"
}, {
text: "Upgrade Personal Computers"
}, {
text: "Install New Router in Dev Room"
}, {
text: "Upgrade Server Hardware"
}, {
text: "Install New Database"
}, {
text: "Website Re-Design Plan"
}, {
text: "Create Icons for Website"
}, {
text: "Submit New Website Design"
}, {
text: "Launch New Website"
}
];
@Injectable()
export class Service {
getAppointments(): Appointment[] {
return appointments;
}
getTasks(): Task[] {
return tasks;
}
}
// In real applications, you should not transpile code in the browser. You can see how to create your own application with Angular and DevExtreme here:
// https://js.devexpress.com/Documentation/Guide/Angular_Components/Getting_Started/Create_a_DevExtreme_Application/
System.config({
transpiler: 'ts',
typescriptOptions: {
module: "system",
emitDecoratorMetadata: true,
experimentalDecorators: true
},
meta: {
'typescript': {
"exports": "ts"
},
'devextreme/localization.js': {
"esModule": true
}
},
paths: {
'npm:': 'https://unpkg.com/'
},
map: {
'ts': 'npm:plugin-typescript@8.0.0/lib/plugin.js',
'typescript': 'npm:typescript@3.5.3/lib/typescript.js',
'@angular': 'npm:@angular',
'tslib': 'npm:tslib@2.1.0/tslib.js',
'rxjs': 'npm:rxjs@6.4.0',
'rrule': 'npm:rrule@2.6.6/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.26.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@20.2.6',
'jszip': 'npm:jszip@3.6.0/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@0.10.3/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.0.18',
'devexpress-gantt': 'npm:devexpress-gantt@2.0.24',
'devextreme-angular': 'npm:devextreme-angular@20.2.6',
'preact': 'npm:preact@10.5.13/dist/preact.js',
'preact/hooks': 'npm:preact@10.5.13/hooks/dist/hooks.js'
},
packages: {
'app': {
main: './app.component.ts',
defaultExtension: 'ts'
},
'devextreme': {
defaultExtension: 'js'
},
'devextreme/events/utils': {
main: 'index'
},
'devextreme/events': {
main: 'index'
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js'
}
},
packageConfigPaths: [
"npm:@angular/*/package.json",
"npm:@angular/common/*/package.json",
"npm:rxjs/package.json",
"npm:rxjs/operators/package.json",
"npm:devextreme-angular/*/package.json",
"npm:devextreme-angular/ui/*/package.json",
"npm:devextreme-angular/package.json",
"npm:devexpress-diagram/package.json",
"npm:devexpress-gantt/package.json",
]
});
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.6/css/dx.common.css" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.6/css/dx.light.css" />
<script src="https://unpkg.com/core-js@2.4.1/client/shim.min.js"></script>
<script src="https://unpkg.com/zone.js@0.10.2/dist/zone.js"></script>
<script src="https://unpkg.com/reflect-metadata@0.1.3/Reflect.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script src="config.js"></script>
<script>
System.import('app').catch(console.error.bind(console));
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<demo-app>Loading...</demo-app>
</div>
</body>
</html>

<template>
<div id="demo-container">
<DxScrollView id="scroll">
<DxDraggable
id="list"
:group="draggingGroupName"
:on-drag-start="onListDragStart"
data="dropArea"
>
<DxDraggable
v-for="task in tasks"
:key="task.text"
:clone="true"
:group="draggingGroupName"
:data="task"
:on-drag-start="onItemDragStart"
:on-drag-end="onItemDragEnd"
class="item dx-card dx-theme-text-color dx-theme-background-color"
>
{{ task.text }}
</DxDraggable>
</DxDraggable>
</DxScrollView>
<DxScheduler
time-zone="America/Los_Angeles"
id="scheduler"
:data-source="appointments"
:current-date="currentDate"
:views="views"
:height="600"
:start-day-hour="9"
:editing="true"
>
<DxAppointmentDragging
:group="draggingGroupName"
:on-remove="onAppointmentRemove"
:on-add="onAppointmentAdd"
/>
</DxScheduler>
</div>
</template>
<script>
import DxScheduler, { DxAppointmentDragging } from 'devextreme-vue/scheduler';
import DxDraggable from 'devextreme-vue/draggable';
import DxScrollView from 'devextreme-vue/scroll-view';
import { appointments, tasks } from './data.js';
export default {
components: {
DxScheduler,
DxDraggable,
DxScrollView,
DxAppointmentDragging,
},
data() {
return {
draggingGroupName: 'appointmentsGroup',
views: [{ type: 'day', intervalCount: 3 }],
currentDate: new Date(2021, 3, 26),
tasks,
appointments,
};
},
methods: {
onAppointmentRemove(e) {
const index = this.appointments.indexOf(e.itemData);
if (index >= 0) {
this.appointments = [...this.appointments];
this.appointments.splice(index, 1);
this.tasks = [...this.tasks, e.itemData];
}
},
onAppointmentAdd(e) {
const index = this.tasks.indexOf(e.fromData);
if (index >= 0) {
this.tasks = [...this.tasks];
this.tasks.splice(index, 1);
this.appointments = [...this.appointments, e.itemData];
}
},
onListDragStart(e) {
e.cancel = true;
},
onItemDragStart(e) {
e.itemData = e.fromData;
},
onItemDragEnd(e) {
if (e.toData) {
e.cancel = true;
}
},
},
};
</script>
<style>
#scroll,
#list {
position: absolute;
left: 0;
top: 0;
bottom: 0;
width: 240px;
}
.item {
box-sizing: border-box;
padding: 10px 20px;
margin-bottom: 10px;
}
#scheduler {
margin-left: 270px;
}
.dx-draggable-source {
opacity: 0.5;
}
.dx-draggable-dragging > * {
box-shadow: 0 1px 3px rgba(0, 0, 0, 0.1), 0 6px 8px rgba(0, 0, 0, 0.2);
}
</style>
import { createApp } from 'vue';
import App from './App.vue';
createApp(App).mount('#app');
<!DOCTYPE html>
<html>
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/22.2.5/css/dx.light.css" />
<script src="https://unpkg.com/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.js");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"> </div>
</div>
</body>
</html>
export const tasks = [
{
text: 'New Brochures',
}, {
text: 'Brochure Design Review',
}, {
text: 'Upgrade Personal Computers',
}, {
text: 'Install New Router in Dev Room',
}, {
text: 'Upgrade Server Hardware',
}, {
text: 'Install New Database',
}, {
text: 'Website Re-Design Plan',
}, {
text: 'Create Icons for Website',
}, {
text: 'Submit New Website Design',
}, {
text: 'Launch New Website',
},
];
export const appointments = [
{
text: 'Book Flights to San Fran for Sales Trip',
startDate: new Date('2021-04-26T19:00:00.000Z'),
endDate: new Date('2021-04-26T20:00:00.000Z'),
allDay: true,
}, {
text: 'Approve Personal Computer Upgrade Plan',
startDate: new Date('2021-04-27T17:00:00.000Z'),
endDate: new Date('2021-04-27T18:00:00.000Z'),
}, {
text: 'Final Budget Review',
startDate: new Date('2021-04-27T19:00:00.000Z'),
endDate: new Date('2021-04-27T20:35:00.000Z'),
}, {
text: 'Approve New Online Marketing Strategy',
startDate: new Date('2021-04-28T19:00:00.000Z'),
endDate: new Date('2021-04-28T21:00:00.000Z'),
}, {
text: 'Customer Workshop',
startDate: new Date('2021-04-29T18:00:00.000Z'),
endDate: new Date('2021-04-29T19:00:00.000Z'),
allDay: true,
}, {
text: 'Prepare 2021 Marketing Plan',
startDate: new Date('2021-04-29T18:00:00.000Z'),
endDate: new Date('2021-04-29T20:30:00.000Z'),
},
];
window.config = {
transpiler: 'plugin-babel',
meta: {
'*.vue': {
loader: 'vue-loader',
},
'devextreme/localization.js': {
'esModule': true,
},
},
paths: {
'npm:': 'https://unpkg.com/',
},
map: {
'vue': 'npm:vue@3.2.47/dist/vue.esm-browser.js',
'vue-loader': 'npm:dx-systemjs-vue-browser@1.0.15/index.js',
'mitt': 'npm:mitt/dist/mitt.umd.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.28.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@22.2.5/cjs',
'devextreme-vue': 'npm:devextreme-vue@22.2.5',
'jszip': 'npm:jszip@3.7.1/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@1.5.20/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.1.72/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.42/dist/dx-gantt.js',
'@devextreme/runtime': 'npm:@devextreme/runtime@3.0.11',
'inferno': 'npm:inferno@7.4.11/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.4/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.4/parser-html.js',
},
packages: {
'devextreme-vue': {
main: 'index.js',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:@devextreme/runtime@3.0.11/inferno/package.json',
],
babelOptions: {
sourceMaps: false,
stage0: true,
},
};
System.config(window.config);